#24 Fail2ban 0.8.1 stops working

open-accepted
Cyril Jaquier
None
5
2014-08-21
2007-10-29
Anonymous
No

I have fail2ban installed in a Debian Etch server, it's working OK until some time that is still checking the log but not banning anything but there is still new lines matching regex, log is as follows:

2007-10-28 06:30:53,465 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:30:53,465 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:30:53,468 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:30:53,473 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:30:53,837 fail2ban.actions: WARNING [spam] Ban 83.29.138.213
2007-10-28 06:30:53,837 fail2ban.actions.action: DEBUG iptables -nL INPUT | grep -q fail2ban-SPAM
2007-10-28 06:30:53,876 fail2ban.actions.action: DEBUG iptables -nL INPUT | grep -q fail2ban-SPAM returned successfully
2007-10-28 06:30:53,877 fail2ban.actions.action: DEBUG iptables -I fail2ban-SPAM 1 -s 83.29.138.213 -p tcp --dport smtp -j DROP
2007-10-28 06:30:53,894 fail2ban.actions.action: DEBUG iptables -I fail2ban-SPAM 1 -s 83.29.138.213 -p tcp --dport smtp -j DROP ret
urned successfully
2007-10-28 06:30:54,476 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:30:54,477 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:30:54,478 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:30:54,479 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:30:54,898 fail2ban.actions: WARNING [spam] Ban 71.58.28.162
2007-10-28 06:30:54,899 fail2ban.actions.action: DEBUG iptables -nL INPUT | grep -q fail2ban-SPAM
2007-10-28 06:30:54,937 fail2ban.actions.action: DEBUG iptables -nL INPUT | grep -q fail2ban-SPAM returned successfully
2007-10-28 06:30:54,938 fail2ban.actions.action: DEBUG iptables -I fail2ban-SPAM 1 -s 71.58.28.162 -p tcp --dport smtp -j DROP
2007-10-28 06:30:54,958 fail2ban.actions.action: DEBUG iptables -I fail2ban-SPAM 1 -s 71.58.28.162 -p tcp --dport smtp -j DROP retu
rned successfully
2007-10-28 06:30:55,479 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:30:55,480 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:30:55,481 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:30:55,484 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:30:56,484 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:30:56,488 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:30:56,490 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:30:56,495 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:30:57,494 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:30:57,494 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:30:57,495 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:30:57,496 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:30:58,496 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:30:58,503 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:30:58,506 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:30:58,512 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:30:59,514 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:30:59,514 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:30:59,515 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:30:59,516 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:31:00,518 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:31:00,519 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:31:00,523 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:31:00,527 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:31:01,532 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:31:01,532 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:31:01,536 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:31:01,543 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:31:02,547 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:31:02,547 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:31:02,548 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:31:02,550 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:31:03,550 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:31:03,551 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:31:03,552 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:31:03,555 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:31:04,554 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:31:04,554 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:31:04,555 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:31:04,557 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:31:05,557 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:31:05,557 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:31:05,558 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:31:05,560 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:31:06,561 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:31:06,561 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:31:06,562 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:31:06,569 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:31:08,571 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:31:08,572 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:31:08,572 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:31:08,574 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:31:09,574 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:31:09,575 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:31:09,575 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:31:09,577 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:31:10,578 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:31:10,578 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:31:10,579 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:31:10,580 fail2ban.filter.datedetector: DEBUG Sorting the template list
2007-10-28 06:31:11,582 fail2ban.filter : DEBUG /var/log/mail.log has been modified
2007-10-28 06:31:11,582 fail2ban.filter : DEBUG Opened /var/log/mail.log
2007-10-28 06:31:11,583 fail2ban.filter : DEBUG Setting file position to 76673695L for /var/log/mail.log
2007-10-28 06:31:11,584 fail2ban.filter.datedetector: DEBUG Sorting the template list

Other times Fail2ban simply start unban of every banned IP, and closes itself (no server process running), without error in the logs.

Contact: jralfageme@alhsys.es

Discussion

  • Cyril Jaquier
    Cyril Jaquier
    2007-10-29

    Logged In: YES
    user_id=933467
    Originator: NO

    Hi,

    Interesting... The position stays the same (76673695L). This is probably not normal. Could you use screen and run this in one terminal:

    # fail2ban-server -f

    and in another one:

    # fail2ban-client reload

     
  • Cyril Jaquier
    Cyril Jaquier
    2007-10-29

    • assigned_to: nobody --> lostcontrol
    • summary: Fail2ban 8.0.1 stops working --> Fail2ban 0.8.1 stops working
    • status: open --> open-accepted
     
  • Logged In: NO

    I didn't realized the log position wasn't changing, I tried the commands but I'm doing something wrong:

    #fail2ban-server -f
    2007-10-30 08:15:15,542 fail2ban.server : INFO Starting Fail2ban

    # fail2ban-client reload
    ERROR Could not find server

     
  • Cyril Jaquier
    Cyril Jaquier
    2007-10-30

    Logged In: YES
    user_id=933467
    Originator: NO

    Could you try to set the socket file explicitly?

    # fail2ban-server -f -s /tmp/fail2ban-test.sock

    and

    # fail2ban-client -vvv -s /tmp/fail2ban-test.sock reload

     
  • Logged In: NO

    Now it works, I'll wait until problem arises again and attach info show by the server running in foreground:

    # fail2ban-server -f -s /tmp/fail2ban-test.sock
    2007-10-30 11:48:35,801 fail2ban.server : INFO Starting Fail2ban
    2007-10-30 11:48:45,040 fail2ban.comm : DEBUG Connection closed
    2007-10-30 11:48:45,041 fail2ban.comm : DEBUG Starting new thread to handle the request
    2007-10-30 11:48:45,042 fail2ban.comm : DEBUG Command: ['set', 'logtarget', '/var/log/fail2ban.log']

     
  • Logged In: NO

    Server crashed completely this time:

    # fail2ban-server -f -s /tmp/fail2ban-test.sock
    2007-10-30 15:37:05,699 fail2ban.server : INFO Starting Fail2ban
    2007-10-30 15:37:16,653 fail2ban.comm : DEBUG Connection closed
    2007-10-30 15:37:16,654 fail2ban.comm : DEBUG Starting new thread to handle the request
    2007-10-30 15:37:16,654 fail2ban.comm : DEBUG Command: ['set', 'logtarget', '/var/log/fail2ban.log']
    [Errno 514] Unknown error 514
    Traceback (most recent call last):
    File "logging/__init__.py", line 737, in emit
    ValueError: I/O operation on closed file
    Traceback (most recent call last):
    File "logging/__init__.py", line 737, in emit
    ValueError: I/O operation on closed file

    Thanks for your support

     
  • Cyril Jaquier
    Cyril Jaquier
    2007-10-31

    Logged In: YES
    user_id=933467
    Originator: NO

    Can you reproduce this crash? Could you try the attached patch? I'm not really sure about the origin of this bug :/ I found [1] and that could be a candidate too...

    Thanks

    [1] http://mail.python.org/pipermail/python-dev/2007-January/070626.html
    File Added: remove-handler-before-close.patch

     
  • Logged In: NO

    Crash cannot be reproduced, it simply happens without any apparent reason and it's not posible to know when it's going to happen again, if you don't mind I'm going to wait for another crash before apply the patch just to be sure of the reason, usually crashes 24-48 hours before starting the server.

    Thanks for your support :-)

     
  • Logged In: NO

    I had a new crash, this time server was still running but not responding, and I don't know why because there is no log since first time logs rotated, because I forgot change logrotate script to made a reload with new parameters in mind I think adding "/usr/bin/fail2ban-client -s "/tmp/fail2ban-test.sock" reload" in postrotate commands is enough.

    Patch was applied to my server.py "/usr/share/fail2ban/server/server.py" I will wait to see what happens now.

    Last crash:

    # /usr/bin/fail2ban-client -s "/tmp/fail2ban-test.sock" ping
    ERROR Unable to contact server. Is it running?
    # ps ax | grep fail2ban
    2728 pts/1 Sl+ 52:14 /usr/bin/python /usr/bin/fail2ban-server -f -s /tmp/fail2ban-test.sock
    # fail2ban-server -f -s /tmp/fail2ban-test.sock
    2007-10-30 15:49:14,691 fail2ban.server : INFO Starting Fail2ban
    2007-10-30 15:49:20,828 fail2ban.comm : DEBUG Connection closed
    2007-10-30 15:49:20,828 fail2ban.comm : DEBUG Starting new thread to handle the request
    2007-10-30 15:49:20,829 fail2ban.comm : DEBUG Command: ['set', 'logtarget', '/var/log/fail2ban.log']

    Thanks

     
  • Cyril Jaquier
    Cyril Jaquier
    2007-11-02

    Logged In: YES
    user_id=933467
    Originator: NO

    Sorry, could you change the log target to STDOUT? Thus everything will be printed on the console. You can just run:

    # fail2ban-client -s /tmp/fail2ban-test.sock set logtarget STDOUT

    or modify your configuration file and restart fail2ban. Is the socket file still present when the problem occurs? Do you have tmpwatch or similar /tmp cleanup script running periodically on your system?

    Btw, what kind of architecture is fail2ban running on? It could be worth trying a nightly build from trunk. I have reworked the communication layer completely and configuration layout is (for the moment) backward compatible with 0.8. You can even run the nightly without installing it. Have a look at the "-c" command line option. Let me know if you need help.

    Thanks

     
  • Logged In: NO

    There isn't tmp cleaning script and socket is still in it's place.

    Fail2ban is running in Debian Etch VMWare Server virtual machine with Xeon Processor.

    I had a new crash now with logs, but now it appears to be more stable, I will wait a bit to see if it's true:

    # fail2ban-server -f -s /tmp/fail2ban-test.sock
    2007-11-02 08:51:58,900 fail2ban.server : INFO Starting Fail2ban
    2007-11-02 08:52:27,864 fail2ban.comm : DEBUG Connection closed
    2007-11-02 08:52:27,866 fail2ban.comm : DEBUG Starting new thread to handle the request
    2007-11-02 08:52:27,867 fail2ban.comm : DEBUG Command: ['set', 'logtarget', '/var/log/fail2ban.log']
    [Errno 514] Unknown error 514
    Traceback (most recent call last):
    File "logging/__init__.py", line 737, in emit
    ValueError: I/O operation on closed file
    Traceback (most recent call last):
    File "logging/__init__.py", line 737, in emit
    ValueError: I/O operation on closed file

    2007-11-03 15:03:09,687 fail2ban.filter : DEBUG /var/log/mail.log has been modified
    2007-11-03 15:03:09,687 fail2ban.filter : DEBUG Opened /var/log/mail.log
    2007-11-03 15:03:09,688 fail2ban.filter : DEBUG Setting file position to 22319973L for /var/log/mail.log
    2007-11-03 15:03:09,690 fail2ban.filter : DEBUG Found 82.56.29.82
    2007-11-03 15:03:09,691 fail2ban.filter : DEBUG Found 200.140.160.37
    2007-11-03 15:03:09,693 fail2ban.filter.datedetector: DEBUG Sorting the template list
    2007-11-03 15:03:10,696 fail2ban.filter : DEBUG /var/log/mail.log has been modified
    2007-11-03 15:03:10,696 fail2ban.filter : DEBUG Opened /var/log/mail.log
    2007-11-03 15:03:10,697 fail2ban.filter : DEBUG Setting file position to 22321143L for /var/log/mail.log
    2007-11-03 15:03:10,699 fail2ban.filter.datedetector: DEBUG Sorting the template list
    2007-11-03 15:03:11,699 fail2ban.filter : DEBUG /var/log/mail.log has been modified
    2007-11-03 15:03:11,699 fail2ban.filter : DEBUG Opened /var/log/mail.log
    2007-11-03 15:03:11,700 fail2ban.filter : DEBUG Setting file position to 22321593L for /var/log/mail.log
    2007-11-03 15:03:11,701 fail2ban.filter : DEBUG Found 122.164.225.67
    2007-11-03 15:03:11,702 fail2ban.filter.datedetector: DEBUG Sorting the template list
    2007-11-03 15:03:12,074 fail2ban.actions: WARNING [spam] Ban 122.164.225.67
    2007-11-03 15:03:12,074 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM
    2007-11-03 15:03:12,111 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM returned successfully
    2007-11-03 15:03:12,113 fail2ban.actions.action: DEBUG iptables -I fail2ban-SPAM 1 -s 122.164.225.67 -j DROP
    2007-11-03 15:03:12,139 fail2ban.actions.action: DEBUG iptables -I fail2ban-SPAM 1 -s 122.164.225.67 -j DROP returned successfully
    2007-11-03 15:03:12,703 fail2ban.filter : DEBUG /var/log/mail.log has been modified
    2007-11-03 15:03:12,704 fail2ban.filter : DEBUG Opened /var/log/mail.log
    2007-11-03 15:03:12,705 fail2ban.filter : DEBUG Setting file position to 22322065L for /var/log/mail.log
    2007-11-03 15:03:12,706 fail2ban.filter : DEBUG Found 89.178.155.206
    2007-11-03 15:03:12,707 fail2ban.filter : DEBUG Found 85.135.130.106
    2007-11-03 15:03:12,709 fail2ban.filter : DEBUG Found 142.166.78.218
    2007-11-03 15:03:12,710 fail2ban.filter.datedetector: DEBUG Sorting the template list
    2007-11-03 15:03:13,711 fail2ban.filter : DEBUG /var/log/mail.log has been modified
    2007-11-03 15:03:13,711 fail2ban.filter : DEBUG Opened /var/log/mail.log
    2007-11-03 15:03:13,712 fail2ban.filter : DEBUG Setting file position to 22323817L for /var/log/mail.log
    2007-11-03 15:03:13,715 fail2ban.filter.datedetector: DEBUG Sorting the template list
    2007-11-03 15:03:13,889 fail2ban.actions: WARNING [spam] Ban 142.166.78.218
    2007-11-03 15:03:13,889 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM
    2007-11-03 15:03:14,306 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM returned successfully
    2007-11-03 15:03:14,308 fail2ban.actions.action: DEBUG iptables -I fail2ban-SPAM 1 -s 142.166.78.218 -j DROP
    2007-11-03 15:03:14,325 fail2ban.actions.action: DEBUG iptables -I fail2ban-SPAM 1 -s 142.166.78.218 -j DROP returned successfully
    2007-11-03 15:03:14,325 fail2ban.actions: DEBUG Flush ban list
    2007-11-03 15:03:14,326 fail2ban.actions: WARNING [spam] Unban 85.107.149.73
    2007-11-03 15:03:14,326 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM
    2007-11-03 15:03:14,350 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM returned successfully
    2007-11-03 15:03:14,351 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 85.107.149.73 -j DROP
    2007-11-03 15:03:14,369 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 85.107.149.73 -j DROP returned successfully
    2007-11-03 15:03:14,371 fail2ban.actions: WARNING [spam] Unban 82.138.52.149
    2007-11-03 15:03:14,372 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM
    2007-11-03 15:03:14,716 fail2ban.filter : DEBUG spam: filter terminated
    2007-11-03 15:03:14,897 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM returned successfully
    2007-11-03 15:03:14,897 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 82.138.52.149 -j DROP
    2007-11-03 15:03:14,979 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 82.138.52.149 -j DROP returned successfully
    2007-11-03 15:03:14,981 fail2ban.actions: WARNING [spam] Unban 89.228.251.128
    2007-11-03 15:03:14,981 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM
    2007-11-03 15:03:15,008 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM returned successfully
    2007-11-03 15:03:15,009 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 89.228.251.128 -j DROP
    2007-11-03 15:03:15,027 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 89.228.251.128 -j DROP returned successfully
    2007-11-03 15:03:15,029 fail2ban.actions: WARNING [spam] Unban 222.72.113.73
    2007-11-03 15:03:15,029 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM
    2007-11-03 15:03:15,057 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM returned successfully
    2007-11-03 15:03:15,058 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 222.72.113.73 -j DROP
    2007-11-03 15:03:15,077 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 222.72.113.73 -j DROP returned successfully
    2007-11-03 15:03:15,078 fail2ban.actions: WARNING [spam] Unban 87.0.48.238
    2007-11-03 15:03:15,079 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM
    2007-11-03 15:03:15,312 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM returned successfully
    2007-11-03 15:03:15,313 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 87.0.48.238 -j DROP
    2007-11-03 15:03:15,431 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 87.0.48.238 -j DROP returned successfully
    2007-11-03 15:03:15,432 fail2ban.actions: WARNING [spam] Unban 123.99.99.60
    2007-11-03 15:03:15,433 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM
    2007-11-03 15:03:15,559 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM returned successfully
    2007-11-03 15:03:15,560 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 123.99.99.60 -j DROP
    2007-11-03 15:03:15,578 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 123.99.99.60 -j DROP returned successfully
    2007-11-03 15:03:15,579 fail2ban.actions: WARNING [spam] Unban 121.246.231.251
    2007-11-03 15:03:15,580 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM
    2007-11-03 15:03:15,704 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM returned successfully
    2007-11-03 15:03:15,705 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 121.246.231.251 -j DROP
    2007-11-03 15:03:15,826 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 121.246.231.251 -j DROP returned successfully
    2007-11-03 15:03:15,828 fail2ban.actions: WARNING [spam] Unban 71.245.76.117
    2007-11-03 15:03:15,830 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM
    2007-11-03 15:03:16,053 fail2ban.actions.action: DEBUG iptables -n -L INPUT | grep -q fail2ban-SPAM returned successfully
    2007-11-03 15:03:16,055 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 71.245.76.117 -j DROP
    2007-11-03 15:03:16,072 fail2ban.actions.action: DEBUG iptables -D fail2ban-SPAM -s 71.245.76.117 -j DROP returned successfully

     
  • Logged In: NO

    Crash happened again with the same error code, What do you think? how can I get that nightly build from trunk? Did you need any more info?

    Thanks for your support.

     
  • Cyril Jaquier
    Cyril Jaquier
    2007-11-07

    Logged In: YES
    user_id=933467
    Originator: NO

    Did you change the log target to STDOUT? Does this "ValueError" exception happen right after [1]? Does fail2ban still work after this exception happens or does the process die?

    You will find a nightly package at [2].

    Thank you.

    [1] 2007-11-02 08:52:27,867 fail2ban.comm : DEBUG Command: ['set', 'logtarget', '/var/log/fail2ban.log']
    [2] http://www.fail2ban.org/nightly/fail2ban-trunk.tar.bz2

     
  • Logged In: NO

    Sorry I forgot use stdout I'll try that first if it crash again then I'll try [2] I'll inform about any new event.

    Thanks

     
  • Logged In: NO

    Today there was another crash "[Errno 514] Unknown error 514" using log target STDOUT, do you still recommend trying the nightly build? or do you have any other idea?

    Thanks for your support :)

     
  • Logged In: NO

    Crashes are still present in Nightly build finally I decided to create a cron script to monitor status of fail2ban and reload, restart or start it as necesary in event of a crash.

    Thanks for your support